## libforms0.88 0.88.1-3

=== debian/changelog ===
libforms0.88 (0.88.1-3) unstable; urgency=low

  * NMU approved by Michael Meskes <meskes@debian.org> 
  * glibc2.1 version for i386, powerpc and alpha; 
    glibc2.0 version for m68k and sparc. 
  * Hacked rules file to handle all architectures; scheme uses a native
    tar file format, which we will update whenever we add an architecture.
  * libforms-bin renamed linforms0.88-bin, conflicts with libforms-bin_0.89
  * libforms-dev renamed linforms0.88-dev, conflicts with libforms-dev_0.89

 -- Peter S Galbraith <psg@debian.org>  Sat, 30 Oct 1999 13:27:10 -0400

libforms0.88 (0.88.1-2) frozen unstable; urgency=low

  * Resolved file overlap between bo's xforms-dev and hamm's libforms-bin
    with a Replaces:.

 -- Ben Gertzfield <che@debian.org>  Wed, 13 May 1998 13:27:39 -0700

libforms0.88 (0.88.1-1) unstable; urgency=low

  * New upstream version.

 -- Ben Gertzfield <che@debian.org>  Fri,  6 Mar 1998 18:32:11 -0800

libforms0.88 (0.88-4) unstable; urgency=low

  * Whoops, header should be in /usr/X11R6/include/X11, not
    /usr/X11R6/include/. Fixes bug #16691.
  * Commented out dh_du call in debian/rules, le sigh.

 -- Ben Gertzfield <che@debian.org>  Tue, 17 Feb 1998 14:59:07 -0800

libforms0.88 (0.88-3) unstable; urgency=low

  * Added in 'fdesign' program to -dev. Fixes bug #17811.
  * Moved binaries and libraries and headers into /usr/X11R6/. 
    Fixes bug #16691.
  * -dev package now Conflicts: with and Replaces: xforms-dev.
    Fixes bug #16691.

 -- Ben Gertzfield <che@debian.org>  Wed,  4 Feb 1998 17:36:02 -0800

libforms0.88 (0.88-2) unstable; urgency=low

  * Fixed shlibs file to make soname 0.88, not 0.

 -- Ben Gertzfield <che@debian.org>  Fri,  2 Jan 1998 22:12:50 -0800

libforms0.88 (0.88-1) unstable; urgency=low

  * Initial release.
  * No source available; binary only.

 -- Ben Gertzfield <che@debian.org>  Fri,  2 Jan 1998 16:11:09 -0800

Local variables:
mode: debian-changelog
add-log-mailing-address: "che@debian.org"
End:
