=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

ARCH=`dpkg --print-architecture`

build: build-stamp
build-stamp:
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean

# Build architecture-independent files here.
binary-indep: build

# Build architecture-dependent files here.
binary-arch: build libforms libforms0.88-dev libforms0.88-bin

libforms: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs usr/X11R6/lib
	# Add here commands to install the files into debian/tmp
	echo "If the following fails, this architecture is not yet supported!"
	cp FORMS/$(ARCH)/libforms.so.0.88 debian/tmp/usr/X11R6/lib
	dh_installdocs Changes Bugs Readme
	dh_installchangelogs
	dh_strip 
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_makeshlibs -m0.88
#	echo "libforms 0.88 libforms0.88" >> debian/tmp/DEBIAN/shlibs
	dh_md5sums
	dh_builddeb

libforms0.88-dev: build
	dh_testdir -plibforms0.88-dev
	dh_testroot -plibforms0.88-dev
	dh_clean -k -plibforms0.88-dev
	dh_installdirs -plibforms0.88-dev usr/X11R6/lib usr/X11R6/include/X11
	# Add here commands to install the files into debian/tmp
	cp FORMS/$(ARCH)/libforms.a debian/libforms0.88-dev/usr/X11R6/lib
	ln -s libforms.so.0.88 debian/libforms0.88-dev/usr/X11R6/lib/libforms.so
	cp FORMS/forms.h debian/libforms0.88-dev/usr/X11R6/include/X11
	dh_installdocs -plibforms0.88-dev
	dh_installchangelogs -plibforms0.88-dev
	dh_strip -plibforms0.88-dev
	dh_compress -plibforms0.88-dev
	dh_fixperms -plibforms0.88-dev
	dh_installdeb -plibforms0.88-dev
	dh_shlibdeps -plibforms0.88-dev
	dh_gencontrol -plibforms0.88-dev
	dh_md5sums -plibforms0.88-dev
	dh_builddeb -plibforms0.88-dev

libforms0.88-bin: build
	dh_testdir -plibforms0.88-bin
	dh_testroot -plibforms0.88-bin
	dh_clean -k -plibforms0.88-bin
	dh_installdirs -plibforms0.88-bin usr/X11R6/man/man1 \
	  usr/X11R6/man/man5 usr/X11R6/bin
	# Add here commands to install the files into debian/tmp
	cp DESIGN/$(ARCH)/fdesign debian/libforms0.88-bin/usr/X11R6/bin
	cp DESIGN/fdesign.1 debian/libforms0.88-bin/usr/X11R6/man/man1
	cp fd2ps/$(ARCH)/fd2ps debian/libforms0.88-bin/usr/X11R6/bin
	cp fd2ps/fd2ps.1 debian/libforms0.88-bin/usr/X11R6/man/man1
	dh_installdocs -plibforms0.88-bin
	dh_installchangelogs -plibforms0.88-bin
	dh_strip -plibforms0.88-bin
	dh_compress -plibforms0.88-bin
	dh_fixperms -plibforms0.88-bin
	dh_installdeb -plibforms0.88-bin
	dh_shlibdeps -plibforms0.88-bin
	dh_gencontrol -plibforms0.88-bin
	dh_md5sums -plibforms0.88-bin
	dh_builddeb -plibforms0.88-bin

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
