## libforms0.88 0.88.1-6

=== debian/changelog ===
libforms0.88 (0.88.1-6) unstable; urgency=low

  * /usr/X11R6/include/X11/forms.h includes files like X11/Xlib.h from
    xlibs-dev so package libforms0.88-dev needs to depend on it.  
    (closes: #111087)
  
 -- Peter S Galbraith <psg@debian.org>  Tue,  4 Sep 2001 12:09:55 -0400

libforms0.88 (0.88.1-5) unstable; urgency=low

  * New maintainer
  * Changed depends from xpm4g to libxpm4 (closes: #71420)
  * Added Depends line to libforms0.88-bin control ile section.
  * Updated to Standards-Version 3.1.1 (Build-Depends)

 -- Peter S Galbraith <psg@debian.org>  Thu, 14 Sep 2000 11:29:25 -0400

libforms0.88 (0.88.1-4) unstable; urgency=low

  * NMU approved by Michael Meskes <meskes@debian.org> 
  * Package libforms0.88-dev now depends on libc6-dev instead of libc6 (>= 2.1)
    closes: #68008 "Bad dependency on libc6 (alpha)"
  * alpha binaries had stamp dates in the future.
  * glibc2.1 version for i386, powerpc and alpha; 
    glibc2.0 version for m68k and sparc. 

 -- Peter S Galbraith <psg@debian.org>  Mon,  7 Aug 2000 11:46:28 -0400
