=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: libforms0.88
 Section: non-free/libs
 Priority: optional
-Maintainer: Michael Meskes <meskes@debian.org>
-Standards-Version: 3.0.1
+Maintainer: Peter S Galbraith <psg@debian.org>
+Build-Depends: debhelper
+Standards-Version: 3.1.1
 
 Package: libforms0.88
 Architecture: i386 alpha powerpc sparc m68k
 Section: non-free/libs
-Depends: ${shlibs:Depends}, xlib6g, xpm4g
+Depends: ${shlibs:Depends}, xlib6g, libxpm4
 Description: The XForms graphical interface widget library
  This package contains the XForms library, version 0.88.
  .
@@ -17,7 +18,7 @@
 Package: libforms0.88-dev
 Architecture: i386 alpha powerpc sparc m68k
 Section: non-free/devel
-Depends: libc6 (>= 2.1), libforms0.88
+Depends: libc6-dev, libforms0.88, xlibs-dev
 Suggests: libforms0.88-bin, libforms-doc
 Conflicts: xforms-dev, libforms-dev
 Replaces: xforms-dev
@@ -35,6 +36,7 @@
 Architecture: i386 alpha powerpc sparc m68k
 Section: non-free/devel
 Suggests: libforms0.88-dev
+Depends: ${shlibs:Depends}
 Conflicts: libforms-bin
 Replaces: xforms-dev
 Description: Support binaries for the XForms widget library
