=== debian/rules ===
--- 
+++ 
@@ -31,8 +31,8 @@
 	# Add here commands to install the files into debian/tmp
 	echo "If the following fails, this architecture is not yet supported!"
 	cp FORMS/$(ARCH)/libforms.so.0.88 debian/tmp/usr/X11R6/lib
-	dh_installdocs Changes Bugs Readme
-	dh_installchangelogs
+	dh_installdocs Bugs Readme
+	dh_installchangelogs Changes
 	dh_strip 
 	dh_compress
 	dh_fixperms
